# Uses of Class
org.codehaus.janino.Java.LocalVariableDeclarationStatement

Packages that use Java.LocalVariableDeclarationStatement
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.samples
Sample applications for the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.LocalVariableDeclarationStatement in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Java.LocalVariableDeclarationStatement
Modifier and Type
Method
Description
`Java.LocalVariable`
UnitCompiler.`getLocalVariable(Java.LocalVariableDeclarationStatement lvds, Java.VariableDeclarator vd)`
`R`
Visitor.BlockStatementVisitor.`visitLocalVariableDeclarationStatement(Java.LocalVariableDeclarationStatement lvds)`
Invoked by `accept(Visitor.BlockStatementVisitor)`

## Uses of Java.LocalVariableDeclarationStatement in org.codehaus.janino.samples

Methods in org.codehaus.janino.samples with parameters of type Java.LocalVariableDeclarationStatement
Modifier and Type
Method
Description
`void`
DeclarationCounter.`traverseLocalVariableDeclarationStatement(Java.LocalVariableDeclarationStatement lvds)`

## Uses of Java.LocalVariableDeclarationStatement in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.LocalVariableDeclarationStatement
Modifier and Type
Method
Description
`Java.BlockStatement`
DeepCopier.`copyLocalVariableDeclarationStatement(Java.LocalVariableDeclarationStatement subject)`
`void`
AbstractTraverser.`traverseLocalVariableDeclarationStatement(Java.LocalVariableDeclarationStatement lvds)`
`void`
Traverser.`traverseLocalVariableDeclarationStatement(Java.LocalVariableDeclarationStatement lvds)`